Package org.eclipse.net4j.util.concurrent

## Class ConcurrencyUtil

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.ConcurrencyUtil

-     public final class ConcurrencyUtil
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `checkCancelation​(IProgressMonitor monitor)` |
    `static void` | `execute​(java.lang.Object executor, java.lang.Runnable runnable)` |
    `static java.util.concurrent.ExecutorService` | `getExecutorService​(java.lang.Object object)` |
    `static java.util.concurrent.ExecutorService` | `getExecutorService​(IManagedContainer container)` |
    `static void` | `log​(java.lang.String msg)` |
    `static void` | `setThreadName​(java.lang.String name)` |
    `static void` | `setThreadName​(java.lang.Thread thread, java.lang.String name)` |
    `static void` | `sleep​(long millis)` |
    `static void` | `sleep​(long millis, int nanos)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### sleep

          public static void sleep​(long millis)

    - #### sleep

          public static void sleep​(long millis,
                                   int nanos)

    - #### getExecutorService

          public static java.util.concurrent.ExecutorService getExecutorService​(IManagedContainer container)

      Since:
        3.5

    - #### getExecutorService

          public static java.util.concurrent.ExecutorService getExecutorService​(java.lang.Object object)

      Since:
        3.6

    - #### execute

          public static void execute​(java.lang.Object executor,
                                     java.lang.Runnable runnable)

      Since:
        3.6

    - #### setThreadName

          public static void setThreadName​(java.lang.Thread thread,
                                           java.lang.String name)

      Since:
        3.8

    - #### setThreadName

          public static void setThreadName​(java.lang.String name)

      Since:
        3.9

    - #### log

          public static void log​(java.lang.String msg)

      Since:
        3.9

    - #### checkCancelation

          public static void checkCancelation​(IProgressMonitor monitor)
                                       throws OperationCanceledException

      Throws:
        `OperationCanceledException`
      Since:
        3.13